./devel/py-distorm3, Powerful Disassembler Library For x86/AMD64

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.4.1, Package name: py37-distorm3-3.4.1, Maintainer: pettai

The goal of diStorm3 is to decode x86/AMD64 binary streams and return
a structure that describes each instruction.

diStorm3 is really a decomposer, which means it takes an instruction and
returns a binary structure which describes it rather than static text,
which is great for advanced binary code analysis. diStorm3 is super
lightweight (~45KB), ultra fast and easy to use (a single API)!


Required to run:
[devel/py-setuptools] [lang/python37]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: e1ce61c6a675b39d8c51e21279f04eb8a3274a1c
RMD160: 2d013aa1d95f81f8dc543f91e29b926ddfaa1955
Filesize: 152.029 KB

Version history: (Expand)


CVS history: (Expand)


   2019-05-15 13:44:18 by Adam Ciarcinski | Files touched by this commit (3) | Package updated
Log message:
py-distorm3: updated to 3.4.1

v3.4.1:
bumping version for pypi
   2018-11-15 11:20:51 by Adam Ciarcinski | Files touched by this commit (3) | Package updated
Log message:
py-distorm3: updated to 3.3.8

3.3.8:
Some bug fixes in instructions and changes in disOps.
   2017-10-13 12:28:05 by Adam Ciarcinski | Files touched by this commit (2) | Package updated
Log message:
py-distorm3: update to 3.3.4

3.3.4
Bug fixes
   2017-09-04 20:55:10 by Thomas Klausner | Files touched by this commit (40) | Package updated
Log message:
Update some URLs.
   2017-01-01 15:44:09 by Thomas Klausner | Files touched by this commit (577)
Log message:
Add python-3.6 to incompatible versions.
   2016-07-09 15:04:18 by Thomas Klausner | Files touched by this commit (599)
Log message:
Remove python33: adapt all packages that refer to it.
   2016-06-08 19:43:49 by Thomas Klausner | Files touched by this commit (356)
Log message:
Switch to MASTER_SITES_PYPI.
   2015-12-05 22:26:09 by Adam Ciarcinski | Files touched by this commit (578)
Log message:
Extend PYTHON_VERSIONS_INCOMPATIBLE to 35